Package com.emc.d2fs.models.destroyresult

# Class Destroyresult

java.lang.Object
com.emc.d2fs.models.destroyresult.Destroyresult

All Implemented Interfaces:
  `Serializable`

public class Destroyresult extends Object implements Serializable

Java class for destroyresult complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="destroyresult">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="ids" type="{http://www.w3.org/2001/XMLSchema}string" maxOccurs="unbounded" minOccurs="0"/>
           </sequence>
           <attribute name="isDestroyed" use="required" type="{http://www.w3.org/2001/XMLSchema}boolean" />
           <attribute name="error" type="{http://www.w3.org/2001/XMLSchema}string" />
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Destroyresult()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getError()`
  Gets the value of the error property.
  `List<String>`
  `getIds()`
  Gets the value of the ids property.
  `boolean`
  `isIsDestroyed()`
  Gets the value of the isDestroyed property.
  `void`
  `setError(String value)`
  Sets the value of the error property.
  `void`
  `setIsDestroyed(boolean value)`
  Sets the value of the isDestroyed property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Destroyresult

    public Destroyresult()

- ## Method Details

  - ### getIds

    public List<String> getIds()
    Gets the value of the ids property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the ids property.

    For example, to add a new item, do as follows:

            getIds().add(newItem);

    Objects of the following type(s) are allowed in the list `String`

  - ### isIsDestroyed

    public boolean isIsDestroyed()
    Gets the value of the isDestroyed property.

  - ### setIsDestroyed

    public void setIsDestroyed(boolean value)
    Sets the value of the isDestroyed property.

  - ### getError

    public String getError()
    Gets the value of the error property.
    Returns:
      possible object is `String`

  - ### setError

    public void setError(String value)
    Sets the value of the error property.
    Parameters:
      `value` - allowed object is `String`